List Account Filters
Listing, Sorting and Filtering Account Filters
This endpoint returns the list of account filters in the specified project.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas
where each one can optionally specify asc or desc.
Sorting is valid on the following fields: created, createdBy, id, name, updated, updatedBy
Filtering
The $filter query parameter allows for account filters to be filtered on the basis of fields in the schema using OData query syntax.
See this document for more details on the syntax used.
Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, updated, updatedBy, updatedByEmail, updatedByName
Examples:
?$top=10 - Returns only the first 10 account filters from the list.
?$orderby=name desc - Sorts account filters by name in descending order.
?$filter=name eq 'descriptive name' - Returns account filters that match the provided name.
?$orderby=created desc - Sorts account filters by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns account filters created after January 1, 2021.
RBAC Capability Required: ams.accountfilter.get
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Query parameters
n that limits the number of items returned from a collection.
The service returns the number of available items up to but not greater than the specified value n.@odata.nextLink in the result object to enumerate the collection -
it will be present only if there's more than one page of entities.Response
200A list of account filters
Loading schema details…
Errors
400Bad Request
Loading schema details…
401Unauthorized
Loading schema details…
403Forbidden
Loading schema details…
404Not Found
Loading schema details…
429Too Many Requests
Loading schema details…
500Internal Server Error
Loading schema details…